CredentialsClient credentials
List client credentials
GET
/platform/clientauth/credentialsList client credentials for the specified organization
Authorization
Bearer X-API-Key<token>
In: header
Query Parameters
limit?integer
Pagination limit
offset?integer
Pagination offset
Response Body
200application/json
OK
type: object
credentials?array<object>
alg?string
client_id?string
created_at?string
id?string
kid?string
last_used_at?string
name?string
status?string
total?integer
400application/json
Bad Request
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
401application/json
Unauthorized
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
403application/json
Forbidden
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
500application/json
Internal Server Error
type: object
code?integer
HTTP status code
details?string
Optional details about the error
error?string
Error message describing what went wrong
curl -X GET "https://api.rixl.com/platform/clientauth/credentials"fetch("https://api.rixl.com/platform/clientauth/credentials", {
method: "GET"
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.rixl.com/platform/clientauth/credentials"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/platform/clientauth/credentials"
response = requests.request("GET", url)
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/platform/clientauth/credentials"))
.GET()
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/platform/clientauth/credentials");
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"credentials": [
{
"alg": "string",
"client_id": "string",
"created_at": "string",
"id": "string",
"kid": "string",
"last_used_at": "string",
"name": "string",
"status": "string"
}
],
"total": 0
}Bad Request
application/json
{
"code": 400,
"details": "The provided ID is not valid",
"error": "Bad Request"
}Unauthorized
application/json
{
"code": 401,
"details": "The provided ID is not valid",
"error": "Unauthorized"
}Forbidden
application/json
{
"code": 403,
"details": "The provided ID is not valid",
"error": "Forbidden"
}Internal Server Error
application/json
{
"code": 500,
"details": "The provided ID is not valid",
"error": "Internal Server Error"
}